/*leaves space between elements  */
/* General toolbar styling */
.app-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 1rem; /* General padding for the toolbar */
  position: relative; /* Needed for centering the image */
}
/* Make all children of .app-header flex items */
.app-header > * {
  display: flex;
  align-items: center;
}
/* Center container styling */
.center-container {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}
.date{
  margin-left: auto;
}

div {
  margin: 1rem;
}

/* next 2 work together to render the images correctly inside the toolbar */

/* Ensures the images are correctly rendered inside the toolbar */
.spacedot {
  height: 5rem; /* Set a specific height */
  width: auto; /* Auto width to maintain aspect ratio */
}

#instance {
  margin-left: 5%;
  padding-left: 5%;
  padding-right: 5%;
  min-width: 20px;
  width: 40%;
  border: none;
  font-weight: bold;
  font-size: small;
}

#instance:hover {
  cursor: pointer;
  border-radius: 4px;
}

div.images {
  text-align: center;
  width: 100%;
  height: 100%;
}

/* maybe useless for now but is used to not appear the underline in a tag */
a {
  text-decoration: none;
}

/* move the acubeSAT logo to the right */

.acube {
  margin:0.5rem; /* Custom margin to the left */
  color: #2e98a3 !important;
  float: right;
  vertical-align: middle;
  font-size: 17px;
}

.acube:hover {
  cursor: default;
  background-color: #252525;
}

mat-icon {
  color: #d59306;
  vertical-align: middle;
  margin: 0 0.5rem;
  overflow: visible !important;
}

.username {
  margin-right: 1rem; /* Custom margin to the right */
  font-size: 18px;
  font-weight: 500;
  white-space: nowrap;
}

mat-select {
  margin-left: 5%;
  padding-left: 5%;
  padding-right: 5%;
  min-width: 20px;
  width: 40%;
  border: none;
  font-weight: bold;
  font-size: small;
}

mat-select:hover {
  cursor: pointer;
  border-radius: 4px;
}

mat-option {
  font-style: bold;
  font-size: small;
  
}
